extends "../FileStatistics.gd"

const ICON: Texture = preload("../../icons/yaml.svg")

func _get_extension() -> String:
	return "YAMl"
	
func _get_color() -> Color:
	return Color.MEDIUM_PURPLE

func _get_icon() -> String:
	return ICON.resource_path

func _is_comment(line: String) -> bool:
	return line.strip_edges().begins_with("#")
